## org.mortbay.loadbalancer
Class Server

    java.lang.Object
      |
      +--org.mortbay.util.LifeCycleThread
            |
            +--org.mortbay.loadbalancer.Server

All Implemented Interfaces:
  LifeCycle, java.lang.Runnable

public class Server
extends LifeCycleThread

Constructor Summary
`Server()`
`Server(ByteBufferPool pool, InetAddrPort address)`
`Server(ByteBufferPool pool, java.net.InetSocketAddress address)`

Method Summary
`void` `connect(Connection connection)`
`ByteBufferPool` `getBufferPool()`
`java.net.InetSocketAddress` `getInetSocketAddress()`
`void` `loop()`
`void` `setBufferPool(ByteBufferPool bufferPool)`
`void` `setInetSocketAddress(java.net.InetSocketAddress address)`
`void` `start()` Start the LifeCycle.

Methods inherited from class org.mortbay.util.LifeCycleThread
`error, exception, getThread, isDaemon, isStarted, run, setDaemon, stop`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Server

    public Server()
           throws java.io.IOException

### Server

    public Server(ByteBufferPool pool,
                  java.net.InetSocketAddress address)
           throws java.io.IOException

### Server

    public Server(ByteBufferPool pool,
                  InetAddrPort address)
           throws java.io.IOException

Method Detail

### getInetSocketAddress

    public java.net.InetSocketAddress getInetSocketAddress()

### setInetSocketAddress

    public void setInetSocketAddress(java.net.InetSocketAddress address)

### getBufferPool

    public ByteBufferPool getBufferPool()

### setBufferPool

    public void setBufferPool(ByteBufferPool bufferPool)

### connect

    public void connect(Connection connection)
                 throws java.io.IOException

    `java.io.IOException`

### start

    public void start()
               throws java.lang.Exception

  Description copied from interface: `LifeCycle`
  Start the LifeCycle.

  Specified by:
    `start` in interface `LifeCycle`
  Overrides:
    `start` in class `LifeCycleThread`
  Throws:
    `java.lang.Exception` - An arbitrary exception may be thrown.

### loop

    public void loop()
              throws java.lang.Exception

  Specified by:
    `loop` in class `LifeCycleThread`
    `java.lang.Exception`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.